Package: org.apache.groovy.contracts.generation

## [Java] Class ContractExecutionTracker.ContractExecution

- org.apache.groovy.contracts.generation.ContractExecutionTracker.ContractExecution

-     public static final class ContractExecutionTracker.ContractExecution
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ContractExecution(String className, String methodIdentifier, String assertionType, boolean isStatic)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object o)`
    `` | `public int` | `hashCode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ContractExecution(String className, String methodIdentifier, String assertionType, boolean isStatic)

  - ### Method Detail

    - #### @Override
      public boolean equals(Object o)

    - #### @Override
      public int hashCode()